Update a team member
curl --request PATCH \
--url https://api.cal.id/teams/{teamId}/memberships/{membershipId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"role": "ADMIN"
}
'import requests
url = "https://api.cal.id/teams/{teamId}/memberships/{membershipId}"
payload = { "role": "ADMIN" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({role: 'ADMIN'})
};
fetch('https://api.cal.id/teams/{teamId}/memberships/{membershipId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"id": 123,
"teamId": 123,
"userId": 123,
"acceptedInvitation": true,
"impersonation": true,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"user": {
"id": 123,
"name": "<string>",
"email": "<string>",
"username": "<string>",
"avatarUrl": "<string>",
"timeZone": "<string>"
},
"team": {
"id": 123,
"name": "<string>",
"slug": "<string>"
}
},
"message": "<string>",
"meta": {
"pagination": {
"page": 123,
"limit": 123,
"total": 123,
"totalPages": 123
}
}
}{
"success": false,
"message": "<string>",
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}{
"success": false,
"message": "<string>",
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}{
"success": false,
"message": "<string>",
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}{
"success": false,
"message": "<string>",
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}{
"success": false,
"message": "<string>",
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}Team Memberships
Update a team member
Update a membership of a team
PATCH
/
teams
/
{teamId}
/
memberships
/
{membershipId}
Update a team member
Authorizations
Use the Authorization header with Bearer scheme.
Examples:
- API Key: Authorization: Bearer calid_xxxxx
Path Parameters
Numeric team identifier.
Required range:
x > 1Example:
42
Numeric team membership identifier.
Required range:
x > 1Example:
1001
Body
application/json
Related topics
Manage team membersUpdate a teamUpdate a team event typeAdd a team memberGet a team memberWas this page helpful?
⌘I